apiVersion: admin.gloo.solo.io/v2
kind: WorkspaceSettings
metadata:
  name: gateways
  namespace: istio-gateways
spec:
  exportTo:
    - resources:
        - kind: SERVICE
      workspaces:
        - selector:
            allow_ingress: "true"
  importFrom:
    - resources:
        - kind: SERVICE
        - kind: ALL
          labels:
            expose: "true"
      workspaces:
        - selector:
            allow_ingress: "true"
---
apiVersion: admin.gloo.solo.io/v2
kind: WorkspaceSettings
metadata:
  name: shared-components
  namespace: selfservice
spec:
  exportTo:
    - resources:
        - kind: SERVICE
        - kind: ALL
          labels:
            expose: "true"
      workspaces:
        - name: gateways
  importFrom:
    - resources:
        - kind: SERVICE
      workspaces:
        - name: gateways
    - resources:
        - kind: ALL
      workspaces:
        - name: athena
  options:
    federation:
      enabled: true
      hostSuffix: global
      serviceSelector:
        - labels:
            app: member-preferences-service
          workspace: shared-components
        - labels:
            app: member-details-adapter
          workspace: shared-components
        - labels:
            app: graph-gateway
          namespace: graph-gateway
          workspace: shared-components
---
apiVersion: admin.gloo.solo.io/v2
kind: WorkspaceSettings
metadata:
  name: messaging
  namespace: arti
spec:
  exportTo:
    - resources:
        - kind: SERVICE
        - kind: ALL
          labels:
            expose: "true"
      workspaces:
        - name: gateways
  importFrom:
    - resources:
        - kind: SERVICE
      workspaces:
        - name: gateways
  options:
    federation:
      enabled: true
      hostSuffix: global
      serviceSelector:
        - labels:
            app: mxr-colleague-ui
          workspace: messaging
---
apiVersion: admin.gloo.solo.io/v2
kind: WorkspaceSettings
metadata:
  name: athena
  namespace: current-account-subgraphs
spec:
  exportTo:
    - resources:
        - kind: ALL
      workspaces:
        - name: shared-components
  importFrom: []
  options:
    federation:
      enabled: true
      hostSuffix: global
      serviceSelector:
        - labels:
            app: transactions-currentaccount
          namespace: current-account-subgraphs
          workspace: athena